Joomla 5 Notice

We are pleased to announce that as of January 29, 2024, all of our Joomla extensions are compatible with Joomla 5.

For all who are still updateing from Joomla 3 to Joomla 4: Joomla 4 Migration instructions are available here:

There is now a separate Documentation for Visforms for Joomla 4 and for Visforms for Joomla 5!

Forum

Visforms Subscription user can ask questions in our forum. Please log in with the relevant user first.
Everybody can access the forum for reading.

Please only ask 1 question per topic.

Beim öffnen von Visforms erscheint eine Fehlermeldung

More
2 weeks 2 days ago #10529 by Frei

Ich kann Visforms nicht mehr benutzen. Wenn ich Forms öffne erscheint folgende Fehlermeldung:
The pkg_visforms_subscription requires Visforms 4.4.3 or higher. The installed Visforms version is 4.4.2. Please update Visforms in order to be able to install the extension.
Ich habe die Version 4.4.3 installiert!

Attachments:

More
2 weeks 2 days ago #10530 by Administrator IV
Replied by Administrator IV on topic Beim öffnen von Visforms erscheint eine Fehlermeldung
Hallo Frei,

vielen Dank für den Screenshot!

Ganz kurz vorweg:

Du kannst bitte erstmal versuchen Visforms 4.4.3 erneut erfolgreich zu installieren/updaten (Screenshot).
Danach bitte nochmal die Installation Subscription 4.4.3 starten (Fehlerbericht, siehe ganz unten).

Falls es weiterhin zu Fehlern kommt, bitte das Folgende durchlesen und beantworten.

in deiner Beschreibung sind leider gleich mehrere Dinge ganz offensichtlich durcheinander gekommen bzw zumindest sehr verwirrend.
Um dir zu helfen, müssen wir das erstmal klären.

1. Zu: Forms öffne
Du schreibst du öffnest Visforms.
Die Fehlermeldung  'pkg_visforms_subscription requires Visforms 4.4.3 or higher' in englischer Sprache wird aber ausschließlich während Installation oder einem Update angezeigt.
F1: Was genau also führst du durch, bevor diese 1. Meldung erscheint?

Zusatz:
Diese Meldung wird während der Installation oder Update absichtlich erzeugt, wenn die Version der freien Basis-Version nicht zur Version der Subscription passt.
Es ist insofern eine Warnung an den Benutzer und beabsichtigt.

2. Zu: screenshot_2024-07-03.png
In deiner Beschreibung lautet die Fehlermeldung  'pkg_visforms_subscription requires Visforms 4.4.3 or higher'.
Im Screenshot wird aber ein ganz anderer Fehler an ganz anderer Stelle gezeigt: 'Too few arguments to function'.
Diese Funktion wird nur aufgerufen wenn Visforms installiert ist und im normalen Betrieb genutzt wird.
Das wieder spricht aber Punkt 1.
F1: Was genau also führst du durch, bevor dieser 2. Fehler erscheint?

3. Zu: screenshot_2024-07-03.png, 'Too few arguments to function'.
Die im Screenshot genannte Funktion 'onPreprocessMenuItems()' ist korrekt so wie sie dort steht.
Diese Funktion wird aber nie von Visforms aufgerufen.
Diese Funktion wird aber immer von anderen aufgerufen aufgerufen, Joomla selbst oder von anderen Komponenten.
Hier ist es wichtig den gesamten Call-Stack zu kennen um zu sehen, wer die korrekte Funktion von Visforms mit zu wenigen Argumenten aufruft.

Hierzu Option 1:
Schicke uns den gesamten Call-Stack, der unter dem Reiter 'Stack-Trace' auf deinem Screeenshot zu sehen ist.

Hierzu Option 2:
Um einen genauen PHP-Fehlerbericht zu erhalten, aktiviere das maximale Debuggen in der Joomla Administration bevor du den Fehler nachstellst:

Dashboard --> Konfiguration, Reiter 'System', Parameter 'System debuggen' = 'Ja'
Dashboard --> Konfiguration, Reiter 'Server', Parameter 'Fehler berichten' = 'Maximum'

Die Visforms Log-Datei, die während Installation und Update geschrieben wird, wäre für uns ebenfalls sehr hilfreich.
Diese Log-Datei hat den folgenden Pfad: .../administrator/logs/visforms_update.php

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

More
2 weeks 2 days ago #10531 by Administrator IV
Replied by Administrator IV on topic Beim öffnen von Visforms erscheint eine Fehlermeldung
Hallo Frei,

unter welchen Versionen von Joomla und PHP läuft Visforms denn eigentlich bei dir?

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

Moderators: Administrator AVAdministrator IV
Powered by Kunena Forum